GBHILL(1)

NAME
gbhill - Hill Maximum Likelihhod estimation

SYNOPSIS
gbhill [options] <function definition>

DESCRIPTION
Maximum Likelihood estimation of distribution based on extremal (tail) observations. The distributions included are: exponential, pareto1, pareto3, gaussian. Provide the name of the distribution and the initial values of the parameters in the command line.

OPTIONS

-O  type of output (default 0)

0   parameters and min NLL

1   parameters and errors

2   the distribution function

3   the density function

4   transformed observations: uniform in [0.1] under the null

5   log Renyi residuals: iid uniform in [0.1] under the null

6   Renyi residuals: iid exponential with mean 1 under the null

-M  method used (default 0)

0   unconditional, upper tail

1   threshold, upper tail

2   unconditional, lower tail

3   threshold, lower tail

-V  variance matrix estimation (default2)

0   < J^{-1} >

1   < H^{-1} >

2   < H^{-1} J H^{-1} >

-v  verbosity level (default0)

0   just results

1   comment headers

2   summary statistics

    3+ minimization steps

-a  print entire set for -O 1,2

-u  observations or threshold (default 1)

-F  input fields separators (default " \t")

-h  this help

-A  comma separated MLL optimization options step,tol,iter,eps,msize, algo. Use empty fields for default (default 0.01,0.01,100,1e-6,1e-6,5)

step
    initial step size of the searching algorithm

tol line search tolerance iter: maximum number of iterations

eps gradient tolerance : stopping criteria ||gradient||<eps

algo
    optimization methods: 0 Fletcher-Reeves, 1 Polak-Ribiere, 2 Broyden-Fletcher-Goldfarb-Shanno, 3 Steepest descent, 4 simplex, 5 Broyden-Fletcher-Goldfarb-Shanno2.

EXAMPLES

gbhill pareto1 1 1 < file.dat
    estimate the Pareto type 1 distribution, initial values are gamma=1 and b=1

gbhill -u .2 pareto1 1 1 < file.dat
    the same using only top 20% observations

AUTHOR
Written by Giulio Bottazzi

REPORTING BUGS
Report bugs to <gbutils@googlegroups.com>

Package home page <http://cafim.sssup.it/~giulio/software/gbutils/index.html>

COPYRIGHT
Copyright © 2001-2018 Giulio Bottazzi This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (version 2) as published by the Free Software Foundation;

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.